import { Component } from '@angular/core';
import { RouterModule, RouterOutlet, Routes } from '@angular/router';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { MOBILE_ROUTES } from '../modules/crm/mobile/mobile.routes'; // 导入移动端路由配置

import { PageCrmTraining } from '../modules/crm/mobile/page-crm-training/page-crm-training';
import { TrainingReportsComponent } from '../modules/crm/mobile/page-crm-training/report-viewer.component';

export const ROOT_ROUTES: Routes = [
  ...MOBILE_ROUTES,
  { path: '**', redirectTo: 'home', pathMatch: 'full' } // 通配符路由，处理无效路径
];


@Component({
  selector: 'app-root',
  standalone: true,
  imports: [
    RouterOutlet, 
  ],
  templateUrl: './app.html',
  styleUrl: './app.scss'
})
export class App {
  protected title = 'ai-assistant';
}

@NgModule({
  imports: [
    FormsModule,
    PageCrmTraining,
    TrainingReportsComponent,
    RouterModule.forChild(MOBILE_ROUTES) // 子模块路由注册
    // 其他模块...
  ],
  declarations: [
  ]

})
export class CrmModule { }